#include <bits/stdc++.h>
using namespace std;

int main(){
ios::sync_with_stdio(false);cin.tie(0);cout.tie(0);
long long n, k; cin >> n >> k;
int a[n];
for( int i = 0; i < n; i++ ){
    cin >> a[i];
}
cout << 0;
return 0;
}